<!DOCTYPE html>
<html lang="es">
  <head>
    <link rel="icon" type="jpg" href="IMG/icono2.jpg">
    <meta charset="utf-8" />
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TRABAJO Nº4</title>
    <link href="estilos.css" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans|Oswald&display=swap" rel="stylesheet"/>
  </head>

  <body>    
    
    <header class="header">
      <div class="img">
        <img class="imagen" src="IMG/Uleam2.png" alt="" WIDTH=300 HEIGHT=100 BORDER=1 ALT="ULEAM" ALIGN="center">
      </div>
    </header>
    
      <br/>
      
    <div class="container">

      <main class="content">
        <form  action="" method="POST" id="meses" >                                      
          <h1>MESES DEL AÑO</h1> 
          <hr>
          <br> <br><br><br> <br><br>  
          <button onclick="Guardar1()" type="reset">Mostrar</button> <br>                  
        </form>
        <script>          
          function Guardar1(){                      
            let meses = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre" ];            
            for (let i=0;i<=11;i++){
              alert(meses[i]);
              console.log(meses[i]); 
            }
         }
        </script>
      </main>

      <aside class="sidebar">
        <form  action="" method="POST" id="producto" >                                      
          <h1>Producto</h1> 
          <label for="">CODIGO: </label>
          <input type="number" name="" id="cd"><BR>
          <label for="">NOMBRE: </label>
          <input type="text" name="" id="nombre"><BR>
          <label for="">PRECIO:</label>
          <input type="number" name="" id="precio"><BR>
          <hr>        
          <button onclick="Guardar2(cd, nombre, precio)" type="reset"> Guardar </button>
        </form>
        <div>
          <table id="tabla" align="center" border="2" cellpadding="10" >
              <thead>
                  <tr>
                      <th>Codigo</th>
                      <th>Nombre</th>
                      <th>Precio</th>
                  </tr>
              </thead>
          </table>
      </div>
        <script>          
          function Guardar2(){
                function producto(cd, nombre, precio){
                  this.cd=cd;
                  this.nombre=nombre;
                  this.precio=precio;
                  alert("Codigo: "+cd+"  Nombre: "+nombre+"  Precio: $"+precio);
                }
                var GuardarCD = document.getElementById("cd").value;
                var GuardarNom = document.getElementById("nombre").value;
                var GuardarPrec = document.getElementById("precio").value;
                NuevoSujeto=new producto(GuardarCD,GuardarNom,GuardarPrec);
                ImprimirDatos();
            } 
            var Datos=[];
            function ImprimirDatos(){
                Datos.push(NuevoSujeto);
                document.getElementById("tabla").innerHTML += '<tbody><td>'+NuevoSujeto.cd+'</td><td>'+NuevoSujeto.nombre+'</td><td>'+NuevoSujeto.precio+'</td></tbody>'
            };
        </script>
      </aside>
    </div>
    
    <footer class="footer"> 
      <p class="text2">Aplicaciones Web I </p>
      <p class="text2">Jordy Gabriel Pico Vargas  @2021</p>
    </footer>

  </body>
</html>
    